#!/bin/sh

# Blackhole decode Part 1

if [ -z "$1" ]
then 
  CMD="piRadix"
else
  CMD="piDecode"
fi  

sed 's# \([0-9]\{1,2\}="[^"]*"\)#\n\1\n#g;' \
| grep '^[0-9]*=' \
| sort -n \
| sed 's#^[0-9]*="##; s#"$##;' \
| tr -dc '0-9a-z' \
| tr -d '\n' \
| $CMD $1
